Subject: Re: fe80::/64 route missing on GRE tunnels

From: "Steinar H. Gunderson" <[email-masked]>
Date: Mon, 17 Feb 2014 11:17:30 +0100

On Mon, Feb 17, 2014 at 10:59:38AM +0100, Nicolas Dichtel wrote:
>> It is added (ip -6 addr add fe80::1 dev foo), but it doesn't help without the
>> /64 being present.
> With 'ip -6 addr add fe80::1/64 dev foo', the link local route will be added.

Possible, but you're still breaking userspace. You could argue the tunnel
setup system in question should have added a /64 in the first place, but it
is deployed at a number of locations and changing all of them is not trivial.

/* Steinar */
-- 
ITK-pang
http://www.sesse.net/